> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/transactional/api/templates/publish/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Publish a template POST https://mandrillapp.com/api/1.4/templates/publish Content-Type: application/json Publishes the content for the template. Any new messages sent using this template will start using the content that was previously in draft. Reference: https://mailchimp.com/developer/transactional/api/templates/publish ## Request ### Body (application/json) This endpoint expects a TemplatesPublishRequest. - `key` (string, required) — A valid Mandrill API key - `name` (string, required) — Immutable name of an existing template ## Response ### 200 Success - `any` ## Errors ### 401 Unauthorized Error Invalid or missing API key. - `status` (string, required) — Status of the response, typically "error" - `code` (enum, required) — Numeric error code - Allowed values: `401` - `name` (enum, required) — Machine-friendly error name - Allowed values: `Invalid_Key` - `message` (string, required) — Human-readable error message ### 404 Not Found Error Template not found - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ### 500 Internal Server Error An unexpected internal server error occurred. - `status` (string, required) — Status of the response, typically "error" - `code` (integer, required) — Numeric error code - `name` (string, required) — Machine-friendly error name - `message` (string, required) — Human-readable error message ## Examples **Request** ```json { "key": "ONzNrsmbtNXoIKyfPmjnig", "name": "Example Template" } ``` **Response** ```json { "code": "
test
", "created_at": "2025-08-29 18:47:40.26276", "draft_updated_at": "2025-08-29 18:47:40", "from_email": "test@mailchimp.com", "from_name": "Freddie", "is_broken_template": false, "labels": [], "name": "test-template", "publish_code": "test
", "publish_from_email": "test@mailchimp.com", "publish_from_name": "Freddie", "publish_name": "test-template", "publish_subject": "test", "publish_text": "test", "published_at": "2025-08-29 18:47:40", "slug": "test-template", "subject": "test", "text": "test", "updated_at": "2025-08-29 18:47:40.26277" } ``` **SDK Code** ```python import requests url = "https://mandrillapp.com/api/1.4/templates/publish" payload = { "key": "ONzNrsmbtNXoIKyfPmjnig", "name": "Example Template" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://mandrillapp.com/api/1.4/templates/publish'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"ONzNrsmbtNXoIKyfPmjnig","name":"Example Template"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://mandrillapp.com/api/1.4/templates/publish" payload := strings.NewReader("{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"Example Template\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://mandrillapp.com/api/1.4/templates/publish") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n \"name\": \"Example Template\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse